package new_mobile_api_controllers

import (
	"github.com/astaxie/beego"
)

func CommonApiControllersRegisterRouters() {

	beego.Router("/com/api/getinspectionmajor", &CommonApiController{}, "Get:GetInspectionMajor")
	beego.Router("/com/api/getinspectionminor", &CommonApiController{}, "Get:GetInspectionMinor")
	beego.Router("/com/api/getinspectionrange", &CommonApiController{}, "Get:GetInspectionRange")
	beego.Router("/com/api/saveconfiguration", &CommonApiController{}, "Post:SaveConfiguration")
	beego.Router("com/api/getconfigurationlist", &CommonApiController{}, "Get:GetConfigurationlist")
	beego.Router("com/api/getconfigurationdetail", &CommonApiController{}, "Get:GetConfigurationDetail")
	beego.Router("com/api/getallinspectionminor", &CommonApiController{}, "Get:GetAllInspectionminor")
	beego.Router("com/api/updateconfiguration", &CommonApiController{}, "Post:UpdateConfiguration")
	beego.Router("com/api/deleteconfiguration", &CommonApiController{}, "Delete:DeleteConfiguration")
}
